#
# spec file for package pybugz (Version 0.6.11  )
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           pybugz
BuildRequires:  python-devel
Summary:        A python and command line interface to Bugzilla 
Url:            http://www.liquidx.net/pybugz/
Group:          Development/Libraries/Python
Version:        0.7.3
Release:        1.2
License:        GPL
Source:         http://media.liquidx.net/static/pybugz/pybugz-%version.tar.gz
Source1:        bugz-login
Source2:        README.Novell-bugzilla
Patch:          pybugz-0.7.3-novellbugzilla.patch
Patch1:         pybugz-0.7.3-search-improvement.patch
%if 0%{?suse_version} < 1030
Requires:       python-elementtree
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{!?python_sitelib: %define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%description
PyBugz is a python and command line interface to Bugzilla.

It was conceived as a tool to speed up the workflow for Gentoo Linux developers
and contributors when dealing with bugs using Bugzilla. By avoiding the clunky 
web interface, the user quickly search, isolate and contribute to the project 
very quickly. 
Developers alike can easily extract attachments and close bugs all from the 
comfort of the command line.

PyBugz is written in Python and written in a way to be extended easily for 
use on other Bugzillas.  

%prep
%setup -q
%patch -p1
%patch1 -p0

%build
CFLAGS="%{optflags}" \
%{__python} setup.py build

%install
%{__python} setup.py install --prefix=%{_prefix} --root %{buildroot}
install -m 0755 %{S:1} $RPM_BUILD_ROOT/%{_bindir}/bugz-login
cp -p %{S:2} .

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root) 
%doc README*
%{_bindir}/*
%{python_sitelib}/*

%changelog
* Tue Jun 17 2008 poeml@suse.de
- bugz-login: add support to store password in .bzpass file
* Wed May 21 2008 poeml@suse.de
- update to 0.7.3:
  30 Dec 2007; William Hubbs <w.d.hubbs@gmail.com> pybugz 0.7.3
  * Fixed a bug that caused pybugz to crash if posting without specifying
    keywords, thanks to Santiago Mola.
  28 Dec 2007; William Hubbs <w.d.hubbs@gmail.com> pybugz 0.7.2
  * Added support for the --keywords option, thanks to Mike Frysinger.
  28 Sep 2006; Alastair Tse <alastair@liquidx.net> pybugz 0.6.12
  * Changed ExpatError to dump the line of the error.
  19 Sep 2006; Alastair Tse <alastair@liquidx.net> pybugz 0.6.12
  * Added search by product via --product, thanks to Donnie
    Berkholz.
  * Fixed comments to be numbered the same way as in bugzilla.
- remove obsolete (hunks from) patches
* Mon Feb 11 2008 poeml@suse.de
- apply patch from Brandon Philips to find elementtree module with
  newer python versions
* Mon Nov  5 2007 poeml@suse.de
- remove python-elementtree requires on 10.3
* Tue Dec 12 2006 poeml@suse.de
- add pybugz-search-improvement.patch from Adrian Schroeter
* Thu Nov  9 2006 poeml@suse.de
- create package (0.6.11)
